| GET | /RestApi/diagnostics/uncached-pages |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| CountOnly | query | bool | No | |
| Skip | query | int | No | |
| Take | query | int | No | |
| SiteRootNodeId | query | Guid | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| NotCachedPages | form | List<PageProxy> | No | |
| CountAllSites | form | int | No | |
| CountCurrentSite | form | int | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Title | form | string | No | |
| ParentPagesTitles | form | string | No | |
| WorkflowStatus | form | string | No | |
| HasDraftNewerThanPublished | form | bool | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/uncached-pages HTTP/1.1 Host: www.asg.com.au Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"NotCachedPages":[{"Title":"String","ParentPagesTitles":"String","WorkflowStatus":"String","HasDraftNewerThanPublished":false}],"CountAllSites":0,"CountCurrentSite":0}